<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<c:set var="multiCentre" value="${bookingComponent.multiCentre}" />

<c:set var="url" value="${bookingComponent.breadCrumbTrail['Timeout']}" />

<c:set var="today" value="<%=new java.util.Date()%>" />
<fmt:formatDate var="todaydate" pattern="yyyy-MM-dd" value="${today}" />
<%
    String termsAndConditions = com.tui.uk.config.ConfReader.getConfEntry("tuithShorex.termsAndConditions" , "");
    pageContext.setAttribute("termsAndConditions", termsAndConditions, PageContext.REQUEST_SCOPE);
%>
<div class="component">
	<c:set var="bookingConditions"
		value="${bookingInfo.bookingComponent.termsAndCondition}" />
	<c:forEach var="links"
		items="${bookingInfo.bookingComponent.nonPaymentData}"
		varStatus="status">
		<c:if test="${links.key eq 'PrivacyPolicy'}">
			<c:set var="privacyPolicy" value="${links.value}" />

		</c:if>
		<c:if test="${links.key eq 'SpecialNeeds'}">
			<c:set var="specialNeeds" value="${links.value}" />
		</c:if>
	</c:forEach>
	<div class="section-heading bf-first">
		<h2 class="icon-v2 icon-TUI_Insurance dark-blue">
			<span class="tui-font">Terms &amp; Conditions</span>
		</h2>
	</div>
	<div class="term-conditions-details grey-med row tnc">
		<p class="marg-bottom-20">
			Please note that all members of your party must have valid passports
			and any applicable visas before travelling. Visit the <a
				href="JavaScript:newPopup('https://www.gov.uk/browse/abroad')"
				;=""  class="size-15">Foreign Office website</a> for a visa and
			travel advice.
		</p>
		<p>
			If you've got <a href="JavaScript:newPopup('https://www.tui.co.uk/destinations/book/termsandconditions/specialneeds');"
				class="size-15">special requirements</a>, please call us on 0844 871
			1600 before booking.
		</p>
		<p class="marg-bottom-20">
			Please see the <a
				href="JavaScript:newPopup('http://www.thomson.co.uk/editorial/legal/montreal-convention.html');">Air
				Passenger Notice</a> for a summary of the liability rules applied by
			community air carriers, as required by community legislation and the
			Montreal Convention.
		</p>
			<!-- Note: no shadow at the bottom of this component, when it contains a link -->
		<div
			class="select-block bg-light-blue b lowercase size-15 grey-dark more-pad-left marg-top-20">
			<!-- Note for js: span.hit-area is clickable -->
			<input hidden="true" type="checkbox" style="display: none;"
				name="agreeTermAndCondition" id="tourOperatorTermsAccepted"
				gfv_required="required" value="false" chkit="yes"> <span
				class="hit-area"> <span class="radio check confirm"></span></span>
											<span class="terms-text">I have read and accept the <a
				href="JavaScript:newPopup('${bookingConditions.relativeTAndCUrl}')">Our/Your Agreement Booking Conditions</a> and <a href="JavaScript:newPopup('${termsAndConditions}');">Terms & Conditions</a></span>

		</div>
	</div>
	<!-- Data protection notice -->



</div>

<div class="modal in" style="display: none" id="sessionTimeOut">
	<div class="window mini auto-height">
		<div class="modal-content no-radius">
			<span class="timeout-close-btn"> <a href="${url}"
				class="icon-v2 icon-TUI_Close timeout-close-btnIcon"></a>
			</span>
			<h2 class="time-out-title">sorry, this page has timed out.</h2>
			<div class="timeout-text">
				<p class="grey-med marg-bottom-15">
					Unfortunately, this page has timed out due to security reasons.
					Don't worry, we're not going to make you start over again, but we
					do need you to re-enter your details on this page. If you don't
					want to continue you can go to <a href="${bookingInfo.bookingComponent.clientURLLinks.homePageURL}" onclick="homepage()">homepage</a>.
				</p>
			</div>
			<div class="back-to-home">
				<c:choose>
					<c:when test="${multiCentre eq true}">
						<a href="${url}" class="book-flow button large cta">Back to
							holiday</a>
					</c:when>
					<c:otherwise>
						<a href="${url}" class="book-flow button large cta">Back to
							Booking</a>
					</c:otherwise>
				</c:choose>
			</div>
		</div>
	</div>
</div>
<div class="modal in" style="display: none" id="sessionTime">
	<div class="window mini auto-height">

		<div class="page-timeout-img-content">
			<a class="page-timeout-close-btn" href="#"><span
				onClick="closesessionTime()"
				class="icon-v2 icon-TUI_Close page-timeout-close-btnIcon"></span></a>
			<div class="page-timeout-section">
				<p class="page-timeout-clock">
					<span class="icon-v2 icon-TUI_Clock page-timeout-close-btnIcon"></span>
				</p>
				<p class="page-timeout-sec">timeout in</p>
				<p id="sessiontimeDisplay" class="page-timeout-min">10 MINS</p>
			</div>
		</div>
		<div class="page-timeout-description">
			<h2 class="page-time-out-title">are you still there?</h2>
			<div class="page-timeout-text">
				<p class="grey-med">This page will be timing out for security
					reasons. Let us know that you're still here, otherwise you'll have
					to re-enter your details.</p>
			</div>
			<div class="page-timeout-back-to-home">
				<a href="#" class="book-flow button large cta"
					onClick="activestate()">yes i'm still here</a>
			</div>
		</div>
	</div>
</div>

<div class="book-flow modal" id="loader-screens">
	<div class="window">
		<div class="sk-fading-circle">
			<div class="sk-circle1 sk-circle"></div>
			<div class="sk-circle2 sk-circle"></div>
			<div class="sk-circle3 sk-circle"></div>
			<div class="sk-circle4 sk-circle"></div>
			<div class="sk-circle5 sk-circle"></div>
			<div class="sk-circle6 sk-circle"></div>
			<div class="sk-circle7 sk-circle"></div>
			<div class="sk-circle8 sk-circle"></div>
			<div class="sk-circle9 sk-circle"></div>
			<div class="sk-circle10 sk-circle"></div>
			<div class="sk-circle11 sk-circle"></div>
			<div class="sk-circle12 sk-circle"></div>
		</div>
	</div>
</div>